# Contributing to Whispr

Thank you for considering contributing to Whispr! We're excited to have you on board.

## Code of Conduct

As a contributor, please be aware that we adhere to the [Contributor Covenant](https://www.contributor-covenant.org/) code of conduct. This includes respecting others in the community, being open and
transparent with contributions, and following best practices for secure development.

## Getting Started

1. **Fork** the Whispr repository on GitHub.
2. **Clone** your forked repository to your local machine using `git clone https://github.com/your-username/whispr.git`.
3. **Create a new branch** (e.g., `feature/new-feature`) and commit your changes in that branch.

## Contribution Guidelines

* **Follow the MIT license**: All contributions must be MIT licensed.
* **Code style**: We use [Semantic Versioning](https://semver.org/) for versioning and follow PEP 8 style guidelines for Python code.
* **Documentation**: Please update the relevant documentation (e.g., README, CHANGELOG) to reflect changes in your contribution.

## Submitting Contributions

1. **Open a pull request**: Once you've made changes in your branch, open a new pull request against the `main` branch of this repository.
2. **Provide context**: In the pull request description, explain what your contribution does and why it's relevant to Whispr.

## Communication

* We use GitHub Issues for discussing contributions and tracking progress.
* If you need help or have questions about contributing, please open a new issue or contact us on [GitHub Discussions](https://github.com/narenaryan/whispr/discussions).

## Contributing to Documentation

If you'd like to contribute to the Whispr documentation, we're grateful for your efforts. Please follow the same process as above, and we'll review your changes to ensure they align with our project's
style and guidelines.

Thank you again for considering contributing to Whispr! We look forward to seeing your contributions.
